Package org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

# Class ContentAssistElement

java.lang.Object
org.eclipse.mat.ui.snapshot.panes.oql.contentAssist.ContentAssistElement

All Implemented Interfaces:
  `Comparable<ContentAssistElement>`

public class ContentAssistElement extends Object implements Comparable<ContentAssistElement>
Javabean to temporarily store classnames for the content assistant in an ordered structure.

## Constructor Summary

Constructors
Constructor
Description
`ContentAssistElement(String className, Image image)`
`ContentAssistElement(String className, Image image, String display)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(ContentAssistElement o)`
Uses String compare method.
`boolean`
`equals(Object obj)`
`String`
`getClassName()`
`String`
`getDisplayString()`
`Image`
`getImage()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContentAssistElement

public ContentAssistElement(String className, Image image)

### ContentAssistElement

public ContentAssistElement(String className, Image image, String display)

## Method Details

### compareTo

public int compareTo(ContentAssistElement o)
Uses String compare method.

Specified by:
  `compareTo` in interface `Comparable<ContentAssistElement>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getClassName

public String getClassName()

### getDisplayString

public String getDisplayString()

### getImage

public Image getImage()

### toString

public String toString()

Overrides:
  `toString` in class `Object`